-?

To: HINSTALL Command Line Switches

Purpose

Display the HASP Device Driver command line switches.

Syntax

hinstall -?

See Also:	-help


-autodetect

To: HINSTALL Command Line Switches

Purpose

Allows you to enable or disable automatic parallel port detection within the system.

Syntax

hinstall -autodetect=<mode>

Mode = Y|Yes|N|No

Special Considerations

•	Automatic detection is performed whenever the HASP Device Driver is loaded.

•	Changes the AutoDetect value in the system registry to <mode>.

•	This switch applies to Windows NT only.

•	The -autodetect switch is used only with administrator privileges.

See Also:	-lpt


-computertype

To: HINSTALL Command Line Switches

Purpose

Informs the HASP Device Driver about which platform it is installed on. Usually the HASP Device Driver installation utility automatically recognizes the platform on which it is installed. Use this switch only when the platform is not recognized.

Syntax

hinstall -computertype=<type>

where <type> can be any of the following:

IBM	Specifies the platform as an IBM computer.
NEC	Specifies the platform as a NEC computer.
Special Considerations

•	Changes the computertype parameter in the system registry.

•	To make these changes take effect, you must restart the system.  Applicable to Win95 and Win32s systems.

•	In Windows NT the computertype switch is used only with administrator privileges.


-driverpath

To: HINSTALL Command Line Switches

Purpose

Allows specifying the path of the HASP Device Driver. This path is used when loading the HASP Device Driver.

Syntax

hinstall -driverpath=<pathname>

PathName is the location of HASP Device Driver.

Special Considerations

•	Changes the ImagePath value in the system registry to <PathName>.

•	This switch applies to Windows NT only.

•	The -driverpath switch is used only with administrator privileges.

See Also:	-i


-help

To HINSTALL Command Line Switches

Purpose

Displays the HASP Device Driver command line switches.

Syntax

hinstall -help

See Also:	-?


-i

To: HINSTALL Command Line Switches

Purpose

Installs the HASP Device Driver.

Syntax

hinstall -i

Special Considerations

•	After installation you must restart the system.  Applicable to Win95 and Win32s systems.

•	In Windows NT the -i switch is used only with administrator privileges.

See Also:	-r
	-is
	Installing the HASP Device Driver
	-driverpath


-info

To: HINSTALL Command Line Switches

Purpose

Displays installation status information such as the installation date and the version number.

Syntax

hinstall -info

Special Considerations

•	This switch does not support Win32s.


-is

To: HINSTALL Command Line Switches

Purpose

Installs the NetHASP License Manager Loader.

For more information about the NetHASP License Manager Loader, see Loading the NetHASP License Manager Automatically.

Syntax

hinstall -is

Special Considerations

•	This switch applies to Windows NT only.

•	The -is switch is used only with administrator privileges.

•	Before using this switch make sure that the HASP Device Driver is installed.

See Also:	-rs
	-i
	-serverpath
	-serverswitches


-iu

To: HINSTALL Command Line Switches

Purpose

Allows updating an existing driver.

The difference between the -iu switch and the -i switch is that the -i switch rebuilds the system registry, whereas the -iu switch does not, but only adds new parameters if they do not exist.  Using the -iu switch will preserve your settings while updating the HASP Device Driver.

Syntax

hinstall -iu

Special Considerations

•	Writes a new HASP Device Driver to the disk.

•	Applicable to Win95 and Win32s systems.

•	In Windows NT the -iu switch is used only with administrator privileges.

To make these changes take effect in Win95 systems you must restart the system.

See Also:	-r
	-i


-lpt

To: HINSTALL Command Line Switches

Purpose

Enables you to specify the parallel port address where the HASP Device Driver searches for a HASP key.

Syntax

lpt[x]=<address>

x = 1 | 2 |3

Example: Hinstall -lpt1=378

Special Considerations

•	Changes the following parameters in the system registry:

(1)	LPTx gets the <Address> value (Hex)

(2)	AutoDetect gets the NO value

•	This switch applies to Windows NT only.

•	The -lpt switch is used only with administrator privileges.

See Also:	-autodetect


-nomesg
-nomsg

To: HINSTALL Command Line Switches

Purpose

Disables message display.  No messages are displayed when this switch is used.

Syntax

hinstall -nomsg

Special Considerations

•	Use this switch if you want to call HInstall.exe from your own installation utility and if you do not want messages displayed.


-portmode

To: HINSTALL Command Line Switches

Purpose

Informs the HASP Device Driver about the configuration of the parallel port when printing.

Syntax

hinstall -portmode=<type>

where <type> can be any of the following:

Normal	One-way communication from the Host (PC) to the peripheral (printer).
ECP	The parallel port is in ECP mode during printing.
BiDi	The parallel port is in BiDi mode during printing.
Auto	Works automatically (default).
Special Considerations

•	Changes the portmode parameter in the system registry.

•	To make these changes take effect, you must restart the system.  Applicable to Win95 and Win32s systems.

•	In Windows NT the -portmode switch is used only with administrator privileges.


-r

To: HINSTALL Command Line Switches

Purpose

Removes the HASP Device Driver.

Syntax

hinstall -r

Special Considerations

•	When the HASP NT Loader service is installed, an appropriate warning is given if you try to remove the Hasp Device Driver.  Without the driver, the NetHASP License Manager cannot access the NetHASP key.

•	In Windows NT the -r switch is used only with administrator privileges.

•	To make these changes take effect, you must restart the system.  Applicable to Win95 and Win32s systems.

See Also:	-i
	-rs
	-is


-rs

To: HINSTALL Command Line Switches

Purpose

Removes the HASP NT Loader.

Special Considerations

•	This switch applies to Windows NT only.

•	The -rs switch is used only with administrator privileges.

See Also:	-is


-serverpath

To: HINSTALL Command Line Switches

Purpose

Allows specifying the path of the NetHASP License Manager. This path is used when Loading the NetHASP License Manager Automatically.

Syntax

hinstall -serverpath=<pathname>

PathName is the location of NetHASP License Manager.

Special Considerations

•	Changes the ServerPath value in the system registry to <PathName>.

•	The HASP NT Loader uses the <PathName> when automatically loading the NetHasp License Manager.

•	This switch applies to Windows NT only.

•	The -serverpath switch is used only with administrator privileges.

See Also:	-is
	-serverswitches


-serverswitches

To: HINSTALL Command Line Switches

Purpose

Allows specifying the NetHASP License Manager command line switches. These switches are used when automatically loading the NetHASP License Manager.

Syntax

hinstall -serverswitches=“<SwitchList>“

Note: The quotation marks are required.

“<switchList>“   List of switches

Example: -serverswitches=“-tcpip -portnum=12”

Special Considerations

•	Changes the ServerSwitches value in the system registry to “<SwitchList>“.

•	This value is used as a command-line switch when the HASP NT Loader automatically loads the NetHASP License Manager.

•	This switch applies to Windows NT only.

•	The -serverswitches switch is used only with administrator privileges.


-usb

To: HINSTALL Command Line Switches

Purpose

Instructs the HASP Device Driver to search for the USBHasp at the USB port (after searching the parallel port and not finding a HASP key).

Syntax

hinstall -usb=<yes>

Special Consideration:

USBHasp should not be inserted into the USB port until the HASP Device Driver has been successfully installed.


API Functions - Error Messages

To: Custom API - Function List

Each topic includes the list of all possible API error codes, for each specific API function.

HDDInstall()

HDDInstallEx()

HDDRemove()

HIGetOSType()

HIGetInfo()

HISetAutoDetect()

HISetPortAddress()

HISetComputerType()

HIInstallLoader()

HIRemoveLoader()

HISetLicenseManagerParameters()

HISetPortMode()


Configuration File Settings Under Win32s

When you install the HASP Device Driver on Win32s, the following values are assigned in the system.ini file:

[HASPDD] Section:

Key	Sample Value	Description
Version	3.3	The version of the HASP Device Driver.
Date	November 5, 1997	The date the HASP Device Driver was installed.
AutoDetect	Y	Automatic detection of the port mode.  For additional information, see -autodetect.
COM1	0x3F8	The I/O address of the COM1 serial port.
COM2	0	The I/O address of the COM2 serial port.
COM3	0	The I/O address of the COM3 serial port.
COM4	0	The I/O address of the COM4 serial port.
ComputerType	IBM	The type of computer on which your HASP Device Driver is installed.  For additional information, see -computertype.
LPT1	0x378	The LPT1 address.
LPT2	0	The LPT2 address.
LPT3	0	The LPT3 address.
PortMode	AUTO	The parallel port mode.  For additional information, see -portmode.
ProcessorType	X86	The type of processor used by your computer.
UseCLI	No	Disables interrupts through the CLI OP code.
UseCompaq	No	Enables working with Compaq docking station.
[386Enh] Section:

device = <windir>\system\HASP.386


Contents

HASP Device Driver Installation

To read a help topic, point to it and click the left mouse button.  For more information about using Windows Help press F1.

HASP Installation Help Conventions

What is a HASP Device Driver?

When Do I Need a HASP Device Driver?

HASP Device Driver for Windows

HASP Device Driver for Win32s

HASP Device Driver for Windows 95

HASP Device Driver for Windows 98

HASP Device Driver for Windows NT

The HASP Device Driver Installation Utility -- HINSTALL

HINSTALL Command Line Switches

Custom API - Function List

Troubleshooting

List of Files


Custom API - Function List

To: Contents

HDDInstall()

HDDInstallEx()

HDDRemove()

HIGetOSType()

HIGetInfo()

HIInstallLoader()

HILastError()

HIRemoveLoader()

HISetAutoDetect()

HISetComputerType()

HISetLicenseManagerParameters()

HiSetParameter()

HISetPortAddress()

HISetPortMode()

API Functions - Error Messages


DOS Device Driver

DOS applications access the DOS Device Driver. The DOS Device Driver accesses the Kernel Device Driver through the Virtual Device Driver.


DRIVERS Directory

To: List of Files

The DRIVERS directory contains the following HASP Device Drivers (files) for various operating systems:

HASP.386	Windows Virtual Device Driver for Windows 3.x and Win32s.
HASP95.VXD	Static Virtual Device Driver for Windows 95/98.
HASPDOS.SYS	DOS Device Driver for Windows NT.
HASPNT.SYS	Kernel Device Driver for Windows NT.
HASPUT16.DLL	Universal Thunk DLL for Win32s.
HASPVDD.DLL	Virtual Device Driver for Windows NT.
HASP95DL.VXD	Dynamic Virtual Device Driver for Windows 95/98.
HARDLOCK.VXD	Dynamic Virtual Device Driver for Windows 95/98.
HLVDD.DLL	Virtual Device Driver for Windows NT
HARDLOCK.SYS	Kernal Device Driver for Windows NT
HSRVLDR.EXE	NetHASP License Manager Service Loader.
AKSUBS95.SYS	USBHasp Device Driver for Windows 95
AKSUBS95.INF	USBHasp Device Driver Information File for  Windows 95
AKSUBS.SYS	USBHasp Device Driver for Windows 98
AKSUSB.INF	USBHasp Device Driver Information File for  Windows 98

The DRIVERS directory also contains the following subdirectory:

NEC	HASP Device Drivers for Japanese NEC computers.
The NEC subdirectory has the following file:

HASP.386	Windows Virtual Device Driver for  Windows 3.x and Win32s specially  customized for Japanese NEC  computers.
See Also:	INSTALL Directory


Disabling the HASP NT Loader

To: Utilizing Installation Parameters

If you do not want the HASP NT Loader to be activated when you reboot your system, you can disable it.

To Disable the HASP NT Loader

(1)	In the Control Panel, double-click the Services icon

(2)	In the Service list select the HASP Loader

(3)	Click the Startup button
The Service dialog box appears.

(4)	In the Service dialog box, StartUp section, select the Disabled radio button


Error 9121 under Windows NT

To: Troubleshooting

If you try to activate HINSTALL.EXE under Windows NT to install the HASP Device Driver, but you do not have administrator privileges, you receive error 9121.


HASP Device Driver Dynamic Installation Sample for Borland C

Following are the files needed to install the HASP Device Driver dynamically:

hidemo.c	Sample API usage.
hidemo.h	Sample API usage header file.
hiapi.h	Interface header file for the HASP Device Driver API.
hierr.h	API error codes.
hisuberr.h	API suberror codes.
hinstd.dll	The actual API code - dynamic linked library.
hinstd.lib	Library for the linking process.
hinstl.lib	The actual API code - statically linked library.
makefile	Makefile to build the sample application.


HASP Device Driver Dynamic Installation Sample for Borland Delphi

Following are the files needed to install the HASP Device Driver dynamically:

hidemo.pas	Sample API usage.
dphasp.dpr	Delphi project file.
dphasp.res	Resource file.
dphasp.dof	Compiler and linker parameters file.
hidemo.dfm	Delphi form file.
hinstd.dll	Actual API code - dynamic linked library.


HASP Device Driver Dynamic Installation Sample for InstallShield

Following are the files needed to install the HASP Device Driver dynamically:

setup.rul	Sample HASP Device Driver installation for InstallShield.
setup.ins	Compiled sample.
build.bat	Compilation batch file.
makefile	Makefile.
setup.exe	HASP Device Driver Installation Wizard (setup utility to run the sample installation program).
ctl3d32.dll	Files used by the setup.exe program.
setup.h
uninst.exe
_inst32i.ex_
_isdel.exe
_isres.dll
_setup.dll
_setup.lib
hinstd.dll	HASP Device Driver Win32 API in DLL format.
read.me	Read me file.


HASP Device Driver Dynamic Installation Sample for InstallShield (Win16)

Following are the files needed to install the HASP Device Driver dynamically:

setup.rul	Sample HASP Device Driver installation for InstallShield.
setup.ins	Compiled sample.
build.bat	Compilation batch file.
setup.exe	HASP Device Driver Installation Wizard (setup utility to run the sample installation program).
ctl3d.dll	Files used by the setup.exe program.
setup.h
uninst16.exe
_inst16.ex_
_isdel.exe
_isres.dll
_setup.dll
_setup.lib
hinstd.dll	HASP Device Driver Win32 API in DLL format.
hinstd16.dll	HASP Device Driver Win16 API in DLL format.


HASP Device Driver Dynamic Installation Sample for Microsoft C

Following are the files needed to install the HASP Device Driver dynamically:

hidemo.c	Sample API usage.
hidemo.h	Sample API usage header file.
hiapi.h	Interface header file for the HASP Device Driver API.
hierr.h	API error codes.
hisuberr.h	API suberror codes.
hinstd.dll	The actual API code - dynamic linked library.
hinstdmt.dll	Multi-thread dynamic linked library.
hinstd.lib	Library for the linking process.
hinstdmt.lib	Multi-thread library.
hinstl.lib	The actual API code - statically linked library.
hinstlmt.lib	Multi-thread static library.
makefile	Makefile to build the sample application.


HASP Device Driver Dynamic Installation Sample for Microsoft C (Win16)

Following are the files needed to install the HASP Device Driver dynamically:

hidemo.c	Sample HASP Device Driver installation for Microsoft C.
hidemo.h	Sample header file.
hidemo.def	Sample definition file.
hidemo.dlg	Sample dialog resource.
hidemo.rc	Sample resource file.
makefile	Makefile to build the sample application..
hiapi.h	HASP Device Driver API interface files.
hierr.h
hisuberr.h
hinstd.dll	HASP Device Driver Win32 API in DLL format.
hinstd16.dll	HASP Device Driver Win16 API in DLL format.
hinstd16.lib	Library for hinstd16.dll.


HASP Device Driver Dynamic Installation Sample for Visual Basic

Following are the files needed to install the HASP Device Driver dynamically:

hidemo.vbp	Visual Basic project file.
hidemo.bas	Visual Basic source file.
hidemo.frm	Visual Basic source file.
hinstd.dll	Actual API code - dynamic linked library.


HASP Device Driver Dynamic Installation Sample for Watcom C

Following are the files needed to install the HASP Device Driver dynamically:

hidemo.c	Sample API usage.
hidemo.h	Sample API usage header file.
hiapi.h	Interface header file for the HASP Device Driver API.
hierr.h	API error codes.
hisuberr.h	API suberror codes.
hinstd.dll	The actual API code - dynamic linked library.
hinstd.lib	Library for the linking process.
hinstl.lib	The actual API code - statically linked library.
makefile	Makefile to build the sample application.


HASP Device Driver Parameters in the Registry Editor
Viewing the HASP Device Driver Parameters in the Windows NT Registry Editor

To: Utilizing Installation Parameters

Changes in the HASP Device Driver parameters can be made using hinstall.  If the procedure fails, you can use the Registry Editor to view and edit the HASP Device Driver parameters.

To View and/or Edit HASP Device Driver Parameters

For Windows NT 3.5x

(1)	From the Program Manager click on File.

(2)	In the drop-down menu click on Run.

(3)	In the Command Line enter: REGEDT32
Four frames open up.

(4)	Follow steps (3) through (9) as for Windows NT 4.0, listed below.

For Windows NT 4.0

(1)	Choose Run from the Start menu.

(2)	Enter REGEDT32.
Four frames open up.

(3)	Switch to the frame labeled HKEY_LOCAL_MACHINE

(4)	Click on the System directory

(5)	Click on the CurrentControlSet directory

(6)	Click on the Services directory
A list containing all of the installed device drivers is displayed.  The list is alphabetical in ascending order.

(7)	Search for the item Haspnt

(8)	When found click Haspnt
On the right side of the frame information is displayed about the HASP Device Driver for Windows NT.

(9)	 You can see additional information under the Parameters key.

Note: You can edit each parameter by either double-clicking the parameter or
first selecting the parameter and then pressing <Enter>.

See Also

Registry Settings for the HASP Device Driver under Windows NT


HASP Device Driver for Win32s

To: Contents

The HASP Device Driver for Win32s is composed of two driver files.

Driver File:	HASP.386 (Windows Virtual Device Driver)

Location after installation: 	Windows system directory

Driver File:	HASPUT16.DLL (Universal Thunk DLL)

Location after installation:	Windows system directory

To Install the HASP Device Driver

Run HINSTALL.EXE.

See Also:	The HASP Device Driver Installation Utility -- HINSTALL


HASP Device Driver for Windows

To: Contents

The HASP Device Driver for Windows is composed of one driver file.

Driver File:	HASP.386 (Windows Virtual Device Driver)
Location after installation:	Windows system directory
To Install the HASP Device Driver

(1)	Run setup.exe in the Drivers\install\Win16 directory, or

Copy HASP.386 to the Windows system directory, and add the following line to the [386Enh] section in the SYSTEM.INI file:
device=<path>\hasp.386

(2)	Restart Windows.


HASP Device Driver for Windows 95

To: Contents

The HASP Device Driver for Windows 95 is composed of the following driver files.

Driver File:	HASP95.VXD (Static Virtual Device Driver)

Location after installation:	Windows system directory

Driver File:	HASP95DL.VXD (Dynamic Virtual Device Driver)

Location after installation:	Windows system directory

Driver File:	HARDLOCK.VXD (Dynamic Virtual Device Driver)

Location after installation:	Windows system directory

Additional files for Windows 95 OSR 2.1 and up include:

Driver File:	AKSUSB95.SYS (USBHasp Device Driver)

Location after installation:	Windows system directory

Driver File:	AKSUSB95.INF (USBHasp Device Driver Information File)

Location after installation:	Windows system directory

To Install the HASP Device Driver

Run HINSTALL.EXE

See Also:	The HASP Device Driver Installation Utility -- HINSTALL


HASP Device Driver for Windows 98

To: Contents

The HASP Device Driver for Windows 98 is composed of five driver files.

Driver File:	HASP95.VXD (Static Virtual Device Driver)

Location after installation:	Windows system directory

Driver File:	HASP95DL.VXD (Dynamic Virtual Device Driver)

Location after installation:	Windows system directory

Driver File:	HARDLOCK.VXD (Dynamic Virtual Device Driver)

Location after installation:	Windows system directory

Driver File:	AKSUSB.SYS  (USBHasp Device Driver)

Location after installation:	Windows system directory

Driver File:	AKSUSB.INF (USBHasp Device Driver Information File)

Location after installation:	Windows system directory

To Install the HASP Device Driver

Run HINSTALL.EXE

See Also:	The HASP Device Driver Installation Utility -- HINSTALL


HASP Device Driver for Windows NT

To: Contents

The HASP Device Driver for Windows NT is composed of five driver files.

Driver File:	HASPNT.SYS (Kernel Device Driver)

Location after installation:	Windows NT SYSTEM32\DRIVERS directory

Driver File:	HASPVDD.DLL (Virtual Device Driver)

Location after installation:	Windows NT SYSTEM32 directory

Driver File:	HASPDOS.SYS (DOS Device Driver)

Location after installation:	Windows NT SYSTEM32 directory

Driver File:	HARDLOCK.SYS (Kernel Device Driver)

Location after installation:	Windows NT SYSTEM32 directory

Driver File:	HLVDD.DL (Virtual Device Driver)

Location after installation:	Windows NT SYSTEM32 directory

Note:  The HASP Device Driver fully supports Windows NT systems that run on multi-processor computers.

To Install the HASP Device Driver

Run HINSTALL.EXE

See Also:	The HASP Device Driver Installation Utility -- HINSTALL


HASP Installation Help Conventions

To: Contents

We have included several cues to assist you in using the HASP Installation Help screens.

This cue	Indicates
Topic	Jump to another Help topic. Click the text to read the Help topic indicated. Click the Back button (below the menu bar) to return to the previous help topic.
Bold Text	API functions, feature names or options in the HASP Installation.
Bold Dark Blue Text	A macro definition name.
Dark Red Text	A HASP Custom API parameter.
(Default)	The default for any particular feature, function or option.  This is the value that the program will use if no other alternative is taken. Color is for emphasis only.
Notes	Additional information about a feature, option or parameter.
Trademarks

HASP is a registered trademark and NetHASP is a trademark of Aladdin Knowledge Systems Ltd.

Windows is a trademark of Microsoft Corporation.  Windows NT, Windows 95 and Win32s are registered trademarks of Microsoft Corporation.


HASP NT Loader in the Registry Editor
Viewing the HASP NT Loader Parameters in the Windows NT Registry Editor

To: Utilizing Installation Parameters

Changes in the HASP NT Loader parameters can be made using hinstall.  If the procedure fails, you can use the Registry Editor to view and edit the HASP NT Loader parameters.

To View and/or Edit the HASP NT Loader Parameters

For Windows NT 3.5x

(1)	From the Program Manager click on File.

(2)	In the drop-down menu click on Run.

(3)	In the Command Line enter: REGEDT32
Four frames open up.

(4)	Follow steps (3) through (8) as for Windows NT 4.0, listed below.

For Windows NT 4.0

(1)	Choose Run from the Start menu.

(2)	Enter REGEDT32.
Four frames open up.

(3)	Switch to the frame labeled HKEY_LOCAL_MACHINE

(4)	Click on the System directory

(5)	Click on the CurrentControlSet directory

(6)	Click on the Services directory
A list containing all of the installed device drivers is displayed.  The list is alphabetical in ascending order.

(7)	Search for the item Hasp Loader

(8)	When found click Hasp Loader
On the right side of the frame information is displayed about the HASP NT Loader for Windows NT.

Note: You can edit each parameter by either: double-clicking the parameter or
first selecting the parameter and then pressing <Enter>.

See Also

Registry Settings for the HASP Loader under Windows NT


HDDINFO structure

To: HIGetInfo()

The HDDINFO structure contains information relating to the currently installed HASP Device Driver.

typedef struct _HDDINFO{
CHAR	HIVersion[ HI_ITEM_LEN ];
CHAR	HIInstallDate[ HI_DATE_STR_LEN ];
DWORD	HIComputerType;
CHAR	HIProcessorType[ HI_ITEM_LEN ];
DWORD	DriverStatus;
DWORD	LoaderStatus;
CHAR	HIImagePath[ HI_ITEM_LEN ];
DWORD	HIPortMode;
DWORD	HILPT1;
DWORD	HILPT2;
DWORD	HILPT3;
CHAR	HIServerPath[ HI_ITEM_LEN ];
CHAR	HIServerSwitches[ HI_ITEM_LEN ];
}	HDDINFO;

Members

HIVersion

Current version of the HASP Device Driver.

HIInstallDate

Date of installation.

HIComputerType

Current h/w platform. Currently available platforms are listed in the following table:

Value	Meaning
HI_IBM_TYPE	Platform is IBM PC and compatibles
HI_NEC_TYPE	Platform is NEC PC
HI_UNKNOWN_TYPE	Type is unknown
HIProcessorType

The processor type on which Windows NT and Windows 95 are running.

Value	Meaning
“X86”	Intel x86 series
“PPC”	Power PC
“MIPS”	MIPS by Silicon Graphics
“ALPHA”	Alpha by Digital Corporation
DriverStatus

Indicates whether or not the HASP Device Driver is installed.

Value	Meaning
HI_DRIVER_INSTALLED	Driver is installed
HI_DRIVER_NOT_INSTALLED	Driver is not installed
LoaderStatus

Indicates whether or not the HASP NT Loader service is installed or supported.

Value	Meaning
HI_LOADER_INSTALLED	Loader services installed
HI_LOADER_NOT_INSTALLED	Loader services not installed
HI_LOADER_NOT_SUPPORTED	Loader services not supported
HIImagePath

Path of the HASP Device Driver.

HIPortMode

The parallel port mode.

Value	Meaning
HI_NORMAL_PORT_MODE	Normal port mode
HI_BIDI_PORT_MODE	BiDi port mode
HI_ECP_PORT_MODE	ECP port mode
HI-AUTO_PORT_MODE	Automatically detected port mode
HILPT1

The physical address of LPT1.

HILPT2

The physical address of LPT2.

HILPT3

The physical address of LPT3.

HIServerPath

The path of the NetHASP server.

HIServerSwitches

Switches of the NetHASP server.


HDDInstall()

To: Custom API - Function List

Purpose

Installs the HASP Device Driver.

DWORD PASCAL HDDInstall(
DWORD	InstallMode	//Installation mode
);

Parameters

InstallMode

Sets the characteristics of the installation process.

The full installation process (default) includes the following steps:

(1)	Removes the “Haspnt” entry in the Windows NT system registry
Removes the “HASP95” entry in the Windows 95 system registry

(2)	Creates a new “Haspnt” entry in the Windows NT system registry.
Creates a new “HASP95” entry in the Windows 95 system registry.
Under Win32s add the line device=\…\hasp.386 in the [386Enh] section

(3)	Copies the HASP Device Driver’s files to the proper place on the disk.

(4)	Reloads HASP Device Driver

InstallMode Options

The following options are available:

Value	Meaning
HI_INSTALL_FULL	Performs steps 1 - 4.       (Default)
HI_INSTALL_UPDATE	Add new parameters to the system registry if they do not already exist (existing parameters are not modified). Then performs step 4.
HI_INSTALL_RELOAD	Performs only step 4. Not supported in Win32s
HI_INSTALL_WRITE_NEW	Performs only step 3.
Note: Unless you are writing a comprehensive installation procedure, use the default installation option.

Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	When loaded the HASP Device Driver performs the following tasks:

(1)	Automatically detects the computer parallel ports.
(Available only for Windows NT.)

(2)	If the AutoDetect parameter in the system registry is set to Yes, then the driver updates the LPTx parameters according to the results of step 1, above.
(Available only for Windows NT.)

(3)	Reads all of the information from the system registry.
This information is utilized when the device driver is accessed.

•	After installation you must restart the system.  Applicable to Win95 and Win32s systems.

•	Under Windows NT the HDDInstall function is called only with administrator privileges.

See Also:	HDDRemove()
	Utilizing Installation Parameters


HDDInstall() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002002	CANNOT_WRITE_DD_VMM_TO_DBR	Failed to write the hasp95.vxd value in the VMM32Files key in the system registry.
0x02002003	CANNOT_WRITE_DD_VXD_TO_DBR	Failed to write the HASP95 key in the system registry.
0x02002004	CANNOT_WRITE_PARAMETERS_PARAM_IN_DBR	Failed to write the Parameters key in the system registry.
0x02002005	CANNOT_DELETE_VMM_KEY	Failed to delete the hasp95.vxd value from the VMM32Files key in the system registry.
0x02002006	CANNOT_DELETE_VXD_KEY	Failed to delete the HASP95 key from the system registry.
0x02002008	CANNOT_WRITE_PARAM_TO_EVENTLOG	Failed to write to the Event Log in the system registry.
0x02002009	CANNOT_WRITE_HASPNT_PARAM_IN_DBR	Failed to write the HASPNT key in the system registry.
0x0200200a	CANNOT_WRITE_HASP_PARAM_IN_DBR	Failed to write the HASP value in the DOS Devices key in the system registry.
0x0200200c	CANNOT_DELETE_HASPNT_KEY	Failed to delete the HASPNT key from system registry.
0x0200200e	CANNOT_INSTALL_HASP386_IN_INI	Failed to write the hasp.386 device in system.ini.
0x02002010	ERROR_SET_IN_WIN_DD	Cannot update the ComputerType in hasp.386.
0x02002011	CANNOT_INSTALL_VDD	Failed to install the HASP vdd.dll.
0x02002013	CANNOT_WRITE_PCMCIA_PARAM_IN_DBR	Failed to write the HASP PCMCIA key in the system registry.
0x02004001	CANNOT_WRITE_VXD_TO_DISK	Failed to write the hasp95.vxd to the disk.
0x02004002	CANNOT_WRITE_HASPNT_TO_DISK	Failed to write haspnt.sys to the disk.
0x02004003	CANNOT_WRITE_VDD_TO_DISK	Failed to write haspvdd.dll to the disk.
0x02004004	CANNOT_WRITE_HASPUT_TO_DISK	Failed to write the HASPUT16.DLL to the disk.
0x02004005	CANNOT_WRITE_HASP386_TO_DISK	Failed to write the HASP.386 to the disk.
0x02008001	CANNOT_HANDLE_SC_MANAGER	Failed to handle the Services Manager.
0x02008004	CANNOT_STOP_DRIVER	Failed to stop the HASP Device Driver.
0x02008006	CANNOT_INSTALL_DRIVER_IN_SERVICES	Failed to install the HASP Device Driver in the services.
0x02008007	CANNOT_START_DRIVER	Failed to start the HASP Device Driver.
0x02008008	CANNOT_LOAD_DRIVER_DYNAMICALLY	The HASP Device Driver cannot be loaded dynamically.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.
0x02100104	INSTALL_CANCELLED	The HASP Device Driver installation procedure was canceled.


HDDInstallEx()

To: Custom API - Function List

Purpose

Installs the HASP Device Driver.

DWORD PASCAL HDDInstallEx(
DWORD	InstallMode	//Installation mode
DWORD	DriverPath	//HASP DeviceDriver path
DWORD	Reserved	//Reserved for future use
DWORD	Reserved	//Reserved for future use;

);

Parameters

InstallMode

Sets the characteristics of the installation process.

DriverPath

Specifies the HASP Device Driver path.  Applicable for Windows NT only.

Reserved

Reserved for future use.  Must be zero.

InstallMode Options

The following options are available:

Value	Meaning
HI_INSTALL_FULL	Performs steps 1 - 4.       (Default)
HI_INSTALL_UPDATE	Adds new parameters to the system registry if they do not already exist (existing parameters are not modified). Then performs step 4.
HI_INSTALL_RELOAD	Performs only step 4. Not supported in Win32s.
HI_INSTALL_WRITE_NEW	Performs only step 3.
Note: Unless you are writing a comprehensive installation procedure, use the default installation option.

Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	When loaded the HASP Device Driver performs the following tasks:

(1)	Automatically detects the computer parallel ports.
(Available only for Windows NT.)

(2)	If the AutoDetect parameter in the system registry is set to Yes, then the driver updates the LPTx parameters according to the results of step 1, above.
(Available only for Windows NT.)

(3)	Reads all of the information from the system registry.
This information is utilized when the device driver is accessed.

•	After installation you must restart the system.

•	Under Windows NT the HDDInstall function is called only with administrator privileges.

See Also:	HDDRemove()
	Utilizing Installation Parameters


HDDInstallEx() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002002	CANNOT_WRITE_DD_VMM_TO_DBR	Failed to write the hasp95.vxd value in the VMM32Files key in the system registry.
0x02002003	CANNOT_WRITE_DD_VXD_TO_DBR	Failed to write the HASP95 key in the system registry.
0x02002004	CANNOT_WRITE_PARAMETERS_PARAM_IN_DBR	Failed to write the Parameters key in the system registry.
0x02002005	CANNOT_DELETE_VMM_KEY	Failed to delete the hasp95.vxd value from the VMM32Files key in the system registry.
0x02002006	CANNOT_DELETE_VXD_KEY	Failed to delete the HASP95 key from the system registry.
0x02002008	CANNOT_WRITE_PARAM_TO_EVENTLOG	Failed to write to the Event Log in the system registry.
0x02002009	CANNOT_WRITE_HASPNT_PARAM_IN_DBR	Failed to write the HASPNT key in the system registry.
0x0200200a	CANNOT_WRITE_HASP_PARAM_IN_DBR	Failed to write the HASP value in the DOS Devices key in the system registry.
0x0200200c	CANNOT_DELETE_HASPNT_KEY	Failed to delete the HASPNT key from system registry.
0x0200200e	CANNOT_INSTALL_HASP386_IN_INI	Failed to write the hasp.386 device in system.ini.
0x02002010	ERROR_SET_IN_WIN_DD	Cannot update the ComputerType in hasp.386.
0x02002011	CANNOT_INSTALL_VDD	Failed to install the HASP vdd.dll.
0x02002013	CANNOT_WRITE_PCMCIA_PARAM_IN_DBR	Failed to write the HASP PCMCIA key in the system registry.
0x02004001	CANNOT_WRITE_VXD_TO_DISK	Failed to write the hasp95.vxd to the disk.
0x02004002	CANNOT_WRITE_HASPNT_TO_DISK	Failed to write haspnt.sys to the disk.
0x02004003	CANNOT_WRITE_VDD_TO_DISK	Failed to write haspvdd.dll to the disk.
0x02004004	CANNOT_WRITE_HASPUT_TO_DISK	Failed to write the HASPUT16.DLL to the disk.
0x02004005	CANNOT_WRITE_HASP386_TO_DISK	Failed to write the HASP.386 to the disk.
0x02008001	CANNOT_HANDLE_SC_MANAGER	Failed to handle the Services Manager.
0x02008004	CANNOT_STOP_DRIVER	Failed to stop the HASP device driver.
0x02008006	CANNOT_INSTALL_DRIVER_IN_SERVICES	Failed to install the HASP Device Driver in the services.
0x02008007	CANNOT_START_DRIVER	Failed to start the HASP Device Driver.
0x02008008	CANNOT_LOAD_DRIVER_DYNAMICALLY	The HASP Device Driver cannot be loaded dynamically.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.
0x02100104	INSTALL_CANCELLED	The HASP Device Driver installation procedure was canceled.


HDDRemove()

To: Custom API - Function List

Purpose

Removes the HASP Device Driver

DWORD PASCAL HDDRemove(
DWORD	HIReserved	//Reserved for future use
);

Parameters

HIReserved	Reserved for future use.  Must be 0 (zero).
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	When the HASP NT Loader service is installed, an appropriate warning is given if you try to remove the Hasp Device Driver.  Without the driver, the NetHASP License Manager cannot access the NetHASP key.

•	The HDDRemove function performs the following tasks:

(1)  Under Windows NT:
Removes the “Haspnt” entry in the system registry.

(2)  Under Windows 95:
Removes the “HASP95” entry in the system registry.

(3)  Under Win32s
Removes the line device=\...\hasp.386 in the [386Enh] section.

•	Under Windows NT the HDDRemove function is called only with administrator privileges.

To make these changes take effect, you must restart the system.  Applicable to Win95 and Win32s systems.

See Also:	HDDInstall()
	Utilizing Installation Parameters


HDDRemove() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002005	CANNOT_DELETE_VMM_KEY	Failed to delete the hasp95.vxd value from the VMM32Files key in the system registry.
0x02002006	CANNOT_DELETE_VXD_KEY	Failed to delete the HASP95 key from the system registry.
0x0200200b	CANNOT_DELETE_HASP_PARAM_FROM_DBR	Failed to delete the HASP value from the DOS Devices key in the system registry.
0x0200200d	CANNOT_DELETE_EVENTLOG_KEY	Failed to delete the HASPNT from the EventLog key in the system registry.
0x0200200f	CANNOT_REMOVE_HASP386_FROM_INI	Failed to remove hasp.386 device from the system.ini.
0x02002012	CANNOT_REMOVE_VDD	Failed to remove the HASP Virtual Device Driver.
0x02002014	CANNOT_DELETE_PCMCIA_KEY	Failed to delete the HASP PCMCIA key from the system registry.
0x02004007	CANNOT_REMOVE_VXD_FROM_DISK	Failed to delete the hasp95.vxd file from the disk.
0x02004008	CANNOT_REMOVE_HASPNT_FROM_DISK	Failed to delete the haspnt.sys file from the disk.
0x02004009	CANNOT_REMOVE_VDD_FROM_DISK	Failed to delete the haspvdd.dll file from the disk.
0x0200400a	CANNOT_REMOVE_HASPUT_FROM_DISK	Failed to delete the hasput16.dll file from the disk.
0x0200400b	CANNOT_REMOVE_HASP386_FROM_DISK	Failed to delete the haspnt.386 file from the disk.
0x0200400c	CANNOT_REMOVE_LOADER_FROM_DISK	Failed to delete the hsrv.ldr file from the disk.
0x0200400d	DRIVER_NOT_INSTALLED	The HASP Device Driver is not installed.
0x02008001	CANNOT_HANDLE_SC_MANAGER	Failed to handle the Services Manager.
0x02008004	CANNOT_STOP_DRIVER	Failed to stop the HASP Device Driver.
0x02008005	CANNOT_REMOVE_DRIVER_FROM_SERVICES	Failed to remove the HASP Device Driver from the services.
0x02008009	CANNOT_UNLOAD_DRIVER_DYNAMICALLY	The HASP Device Driver cannot be dynamically unloaded.
0x02100102	WRN_LOADER_STILL_INSTALLED	Warning: You removed the HASP Device Driver while the NetHASP LM loader is still installed.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HDDSYSINFO structure

To: HIGetInfo()

The HDDSYSINFO structure contains general information relating to the operating system on which the HASP Device Driver is installed.

typedef struct _HDDSYSINFO{
DWORD	HISystemType;
}	HDDSYSINFO;

Members

HISystemType

Current system type.

Value	Meaning
VER_PLATFORM-WIN32s	Windows 32s system
VER_PLATFORM-WIN32_WINDOWS	Windows 95 system
VER_PLATFORM-WIN32_NT	Windows NT system


HIGetInfo()

To: Custom API - Function List

Purpose

Receives information relating to the installed HASP Device Driver and other general information.

DWORD PASCAL HIGetInfo(
LPHDDINFO	IpHDDInfo,	//Address of structure for device information
LPHDDSYSINFO	IpHDDSysInfo	//Address of structure for operating system information
);

Parameters

IpHDDInfo

Points to a HDDINFO structure that receives the relevant information relating to the installed HASP Device Driver.

No initialization is needed prior to the function call.

IpHDDSysInfo

Points to a HDDSYSINFO structure that receives the relevant information relating to the operating system.

No initialization is needed prior to the function call.

Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	Currently this function is implemented for Windows NT and Windows 95.


HIGetInfo() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002000	CANNOT_READ_PARAM_FROM_DBR	Failed to read from the system registry.
0x02008001	CANNOT_HANDLE_SC_MANAGER	Failed to establish a connection with the Service Control Manager.
0x02008004	CANNOT_STOP_DRIVER	Failed to stop the HASP Device Driver.
0x02008007	CANNOT_START_DRIVER	Failed to start the HASP Device Driver.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HIGetOSType()

To: Custom API - Function List

Purpose

Retrieves the current operating system type.

DWORD PASCAL	HIGetOSType( void )

Parameters

None

Return Values

If successful the function returns one of the following values:

Value	Meaning
VER_PLATFORM_WIN32s	Windows 32s system
VER_PLATFORM_WIN32_WINDOWS	Windows 95 system
VER_PLATFORM_WIN32_NT	Windows NT system
If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.


HIGetOSType() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02001000	CANNOT_GET_OS_TYPE	Failed to verify the OS type.
0x02001001	PLATFORM_DETECTION_FAIL	Calling to GetVersionEx failed.
0x02001002	PLATFORM_UNKNOWN	Unknown platform detected.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HIInstallLoader()

To: Custom API - Function List

Purpose

Installs the HASP NT Loader service.

DWORD PASCAL HIInstallLoader(
LPSTR 	HIReserved1,	//Reserved for future use
DWORD	HIReserved2	//Reserved for future use
);

Parameters

HIReserved1	Reserved for future use. Must be Null.
HIReserved2	Reserved for future use. Must be Zero (0).
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	Under Windows NT, you can load the NetHASP License Manager automatically before the user logs on. This is done by first installing the HASP NT Loader which is implemented as a Windows NT service. The HASP NT Loader automatically loads the NetHASP License Manager. With the HASP NT Loader it is not necessary to log on nor interact with the Windows NT system.

•	The HIInstallLoader function performs the following steps:

(1)	Creates the “HASP Loader” entry in the system registry.

(2)	Copies the HSRVLDR.EXE file into the SYSTEM32 directory located under the Windows NT directory.

Note: The HASP NT Loader expects the NetHasp License Manager to reside in the SYSTEM32 directory, located under the Windows NT directory.  You must copy the file to this location.

•	Before calling this API function make sure that the HASP Device Driver is installed.  If the HASP Device Driver is not installed a warning error code will be returned when calling HILastError.

•	Under Windows NT the HIInstallLoader function is called only with administrator privileges.

See Also:	HIRemoveLoader()
	HDDInstall()
	Utilizing Installation Parameters
	HISetLicenseManagerParameters()


HIInstallLoader() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02008002	CANNOT_ADD_LM_LOADER_IN_SERVICES	Failed to add the NetHASP LM loader object into the Service Control Manager Database.
0x02100101	WRN_HDD_NOT_INSTALLED	Warning: You installed the NetHASP LM loader object without the HASP Device Driver being installed.
0x02002007	CANNOT_WRITE_PARAM_TO_DBR	Failed to write keys or values to the system registry.
0x02004006	CANNOT_WRITE_LOADER_TO_DISK	Cannot write the hsrvldr.exe to the disk.
0x0200400c	CANNOT_REMOVE_LOADER_FROM_DISK	Failed to delete the hsrv.ldr file from the disk.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HILastError()

To: Custom API - Function List

Purpose

Retrieves information about the last error that occurred after calling one of the Device Driver API functions.

DWORD PASCAL HILastError(
LPSTR	*IpHIErrorStr,	//Address of address of error description buffer
LPDWORD	IpSystemError	//Address of location for system error
LPDWORD	IpSubError	//Address of location for internal suberror
);

Parameters

IpHIErrorStr	Points to a buffer to receive the full last error description of the HASP Device Driver.
IpSystemError	Points to a variable containing the system error number.
IpSubError	Points to a variable containing an internal suberror.
Return Values

If successful the function returns the last requested error number.

The IpHIErrorStr parameter contains the full descriptive string.

If failed the function returns the value: HI_FAIL.


HINSTALL Command Line Switches

To: Contents

To run the HASP Device Driver installation utility from the command line, enter:

hinstall <switch>

You can use any of the following switches:

-?

-autodetect

-computertype

-driverpath

-help

-i

-info

-is

-iu

-lpt

-nomsg

-portmode

-r

-rs

-serverpath

-serverswitches

-usb

Note:  You can replace the prefix “-” with “/” in any switch.


HIRemoveLoader()

To: Custom API - Function List

Purpose

Removes the HASP NT loader service.

DWORD PASCAL HIRemoveLoader(
DWORD	HIReserved	//Reserved for future use
);

Parameters

HIReserved	Reserved for future use. Must be Zero (0).
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	The HIRemoveLoader function removes the “HASP Loader” entry from the system registry.

•	The HIRemoveLoader function is called only with administrator privileges.

See Also:	HIInstallLoader()
	Utilizing Installation Parameters


HIRemoveLoader() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02008003	CANNOT_REMOVE_LM_LOADER_FROM_SERVICES	Failed to remove the NetHASP LM loader object from the Service Control Manager Database.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HISetAutoDetect()

To: Custom API - Function List

Purpose

Assigns a Yes/No value to the AutoDetect parameter in the system registry.

DWORD PASCAL HISetAutoDetect(
BOOL	AutoDetect	//Automatic detect flag
);

Parameters

AutoDetect	Use Yes to enable automatic detection of parallel ports. Use No to disable automatic detection of parallet ports.
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	This function is supported only under Windows NT

•	When loaded the HASP Device Driver performs the following tasks:

(1)  Automatically detects the parallel ports

(2)  If the AutoDetect parameter in the system registry is set to Yes, then the driver updates the LPTx parameters according to the results of step 1, above.
Previous settings are overwritten.

If the AutoDetect parameter is set to No the system registry is not updated.

In this condition you can manually change the value of the LPTx parameter.

If you set a value that conflicts with the automatic detection results, an error message is displayed.  You can view the conflict description in the Event Viewer (located in the Administrative Tools).

•	The HISetAutoDetect function is called only with administrator privileges.

See Also:	HISetPortAddress()
	HISetComputerType()
	Utilizing Installation Parameters


HISetAutoDetect() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002001	ERROR_UPDATE_PARAM_IN_DBR	Failed to update a value in the system registry.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HISetComputerType()

To: Custom API - Function List

Purpose

Assigns a value to the ComputerType parameter in the system registry.

DWORD PASCAL HISetComputerType(
DWORD	ComputerType	//Computer type indicator
);

Parameters

ComputerType	The x86 platform indicator.
The following values are allowed:

Value	Meaning
HI_IBM_TYPE	Platform is IBM PC and compatibles.
HI_NEC_TYPE	Platform is NEC PC which uses standard parallel mode (STP - IBM compatible mode)
HI_UNKNOWN_TYPE	Type is unknown.
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	This function should only be used on x86 systems.

•	To make the changes take effect you must restart the system.  Applicable to Win95 and Win32s systems.


HISetComputerType() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002007	CANNOT_WRITE_PARAM_TO_DBR	Failed to write keys or values to the system registry.
0x02002010	ERROR_SET_IN_WIN_DD	Cannot update the ComputerType in hasp.386.
0x02008001	CANNOT_HANDLE_SC_MANAGER	Failed to establish a connection with the Service Control Manager.
0x02008004	CANNOT_START_DRIVER	Failed to start the HASP Device Driver.
0x02008007	CANNOT_STOP_DRIVER	Failed to stop the HASP Device Driver.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HISetLicenseManagerParameters()

To: Custom API - Function List

Purpose

Sets the NetHASP License Manager parameters. These parameters are used when the License Manager is automatically loaded, before the user logs on.

DWORD PASCAL HISetLicenseManagerParameters(
LPSTR	ServerPath,	//Full pathname of the NetHASP License Manager
LPSTR	ServerSwitch,	//Command-Line switches
DWORD	HIReserved	//Reserved for future use
);

Parameters

ServerPath	Points to the full path name string for the location of the NetHASP License Manager.
ServerSwitch	Points to a command line switches string used by the NetHASP License Manager.
HIReserved	Reserved for future use. Must be Zero (0).
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	When the Windows NT system starts it loads the NetHASP License Manager. The default location of the NetHASP License Manager program is SYSTEM32 directory located under the Windows NT root directory. The ServerPath parameters lets you change the default location.

•	When the NetHASP License Manager is loaded by default it does not use any command line switches. The ServerSwitch parameter lets you add as many parameters as required.

•	The HISetLicenseManager function is called only with administrator privileges.

See Also:	HIInstallLoader()
	Utilizing Installation Parameters


HISetLicenseManagerParameters() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002007	CANNOT_WRITE_PARAM_TO_DBR	Failed to write keys or values to the system registry.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HISetPortAddress()

To: Custom API - Function List

Purpose

Assigns a value to the LPTx parameters in the system registry.

DWORD PASCAL HISetPortAddress(
DWORD	PortType,	//Parallel port selector
DWORD	PortNumber,	//Port number selector
DWORD	PortAddress,	//Parallel port selector
);

Parameters

PortType	Set the port type: 1 for parallel
PortNumber	Sets the port number:  1 for LPT1  2 for LPT2  3 for LPT3
PortAddress	Sets the actual port address. The address is a hexicimal number, for example: 3BC, 378
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

•	This function is supported only under Windows NT

•	When loaded the HASP Device Driver performs the following tasks:

(1)  Automatically detects the parallel ports

(2)  If the AutoDetect parameter in the system registry is set to Yes, then the driver updates the LPTx parameters according to the results of step 1, above.
Previous settings are overwritten.

(3)  Reads and stores all of the information from the system registry.
This information is utilized when the device driver is accessed.

If the AutoDetect parameter is set to NO the system registry is not updated.

In this condition you can call HISetPortAddress and change the value of the LPTx parameter.

If you set a value that conflicts with the automatic detection results, an error message is displayed.  You can view the conflict description in the Event Viewer (located in the Administrative Tools).

Warning
An invalid port address could adversely affect the entire Windows NT system.

•	The HISetPortAddress function is called only with administrator privileges.

See Also:	HISetAutoDetect()
	Utilizing Installation Parameters


HISetPortAddress() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002007	CANNOT_WRITE_PARAM_TO_DBR	Failed to write keys or values to the system registry.
0x02000002	INVALID_PORT_NUM_SPECIFIED	Invalid port number was specified.
0x02000003	INVALID_PORT_TYPE_SPECIFIED	Invalid port type was specified.
0x02008001	CANNOT_HANDLE_SC_MANAGER	Failed to establish a connection with the Service Control Manager.
0x02008004	CANNOT_STOP_DRIVER	Failed to stop the HASP Device Driver.
0x02008007	CANNOT_START_DRIVER	Failed to start the HASP Device Driver.
0x02010000	USER_HAVE_NO_ACCESS	You need administrator privileges to install the HASP Device Driver.


HISetPortMode()

To: Custom API - Function List

Purpose

Assigns a value to the PortMode parameter in the system registry.

DWORD PASCAL HISetPortMode(
DWORD	PortMode	//Parallel mode indicator
);

Parameters

PortMode

The following values are allowed:

Value	Meaning
Normal	Normal mode
BiDi	Bi-Directional mode
ECP	ECP mode
Auto	Auto mode
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.

You can retrieve the error details by calling HILastError.

Special Considerations

To make these changes take effect, you must restart the system. Applicable to Win95 and Win32s systems.

In Windows NT the HISetPortMode function is called only with administrator privileges.


HISetPortMode() - API Error Messages

To: API Functions - Error Messages

Error Code	Macro	Description
0x02002007	CANNOT_WRITE_PARAM_TO_DBR	Failed to write keys or values to the system registry.
0x02008001	CANNOT_HANDLE_SC_MANAGER	Failed to handle the Services Manager.
0x02008004	CANNOT_STOP_DRIVER	Failed to stop the HASP Device Driver.
0x02008007	CANNOT_START_DRIVER	Failed to start the HASP Device Driver.


HiSetParameter()

To: Custom API - Function List

Purpose

Sets parameters in the database registry.

DWORD PASCAL HISetParameter(
DWORD	ValueName	//Name of value to change in registry
LPSTR	ValueData	//Data to assign to the value
);

Parameters

ValueName

The name of the value to change in the registry.

ValueData

The data to assign to the value.

ValueName	ValueData	Meaning
HI_USE_USB	YES | NO	If yes, then the HASP Device Driver searches for the USBHasp at the USB port (after searching the parallel port). If no, then the HASP Device Driver does not search for the USBHasp at the USB port.
Return Values

If successful the function returns the value: HI_SUCCESS.

If failed the function returns the value: HI_FAIL.


INSTALL Directory

To: List of Files

The Install directory contains the HASP Device Drivers software for Windows NT, Windows 95, Win32s, and Windows 3.x operating systems.  The Install directory contains two subdirectories, for Win16 and Win32 operating systems.

Win16

The root directory contains a setup utility to install the HASP Device Driver on Windows 3.x and Win32 systems.  The directory also includes subdirectories which contain sample installations of the HASP Device Driver using various environments.

The Win16 directory contains the following files:

setup.exe	HASP Device Driver Installation Wizard.
hasp.ibm	HASP Device Driver for Windows 3.x and Win32s with IBM defaults.
hasp.nec	HASP Device Driver for Windows 3.x and Win32s with NEC defaults.
hddwin.dll	Files used by the setup.exe program.
in16.bmp
in256.bmp
setup.ins
uninst16.exe
_inst16.ex_
_setup.lib
_setup.dll
license.txt	Aladdin Knowledge Systems license agreement.
The Win16 directory also contains the following subdirectories:

IS	HASP Device Driver dynamic installation sample for InstallShield
MSC	HASP Device Driver dynamic installation sample for Microsoft C
Win32

The root directory contains a utility to install the HASP Device Driver on Win32 systems.  The directory also includes subdirectories which contain sample installations of the HASP Device Driver using various environments.

The Win32 directory contains the following file:

HINSTALL.EXE	The HASP Device Driver installation utility for Windows 95, and Windows NT (GUI).
The Win32 directory also contains the following subdirectories:

CMDLINE	Contains HINSTALL.EXE, a command line utility that supports Windows NT, Windows 95, and Win32s.
BORLANDC	HASP Device Driver dynamic installation sample for Borland C
DELPHI	HASP Device Driver dynamic installation sample for Borland Delphi
DLL	HASP Device Driver pre-compiled static and dynamic libraries
IS	HASP Device Driver dynamic installation sample for InstallShield
MSC	HASP Device Driver dynamic installation sample for Microsoft C
VB	HASP Device Driver dynamic installation sample for Visual Basic
WATCOMC	HASP Device Driver dynamic installation sample for Watcom C
See Also:	Drivers Directory


If the HASP Device Driver Crashes While Loading

To: Troubleshooting

Recovering From HASP Device Driver Crashes in Windows NT

Recovering From HASP Device Driver Crashes in Windows 95

Recovering From HASP Device Driver Crashes in Win32s


Installing the HASP Device Driver

To: Contents

The HASP Device Driver Installation Utility – HINSTALL

To install the HASP Device Driver

(1)	Run hinstall.exe, or enter hinstall -i from the command line.

(2)	Click Install (GUI only).

(3)	To make these changes take effect, you must restart the system.  Applicable only for Win95 and Win32s systems.

Installing at the Customer Site

You can install the HASP Device Driver for Win32 on the system of your customer in one of two ways:

Run hinstall. You can write a command (batch) file to perform the installation and then distribute this file with your application.

Install the HASP Device Driver from within your application by creating your own installation procedure (for details see Custom API - Function List ).

See Also:	The Hinstall Utility Tabs
	Removing the HASP Device Driver
	Upgrading the HASP Device Driver
	HINSTALL Command Line Switches


Kernel Device Driver

Native Windows 32-bit applications access the Kernel Device Driver.


LastStatus Error 1 under Win32s

To: Troubleshooting

Problem

A NetHASP-protected Win32 application runs smoothly on Windows for Workgroups stations, but produces LastStatus error 1 when running under Win32s.

Solution

To avoid this situation, copy hasput16.dll to the application directory. You can find hasput16.dll in the HASP software drivers directory.


List of Files

To: Contents

The HASP Device Drivers software includes drivers for Windows NT, Windows 95, Win32s, and Windows 3.x.  You can find the HASP Device Driver software in the DRIVERS directory on the HASP CD-ROM or on the HASP Device Drivers diskette.

The DRIVERS directory contains the following files:

HINSTALL.HLP	This help file.
README.1ST	Latest updates.
VERSION.DRV	The HASP Device Driver software version number.
The DRIVERS directory contains the following subdirectories:

DRIVERS	DRIVERS Directory
INSTALL	INSTALL Directory


Loading the NetHASP License Manager Automatically

To: Contents

With Windows NT, it is possible to load the NetHASP License Manager automatically before the user logs on. You do this with HINSTALL.

HINSTALL installs a HASP NT Loader implemented as a Windows NT service. This loader automatically loads the NetHASP License Manager. With the HASP NT Loader, you don't have to log on or interact with the NT system.

To install the HASP NT Loader

(1)	Log on as a user with administrator privileges.

(2)	Run hinstall -is.

(3)	Copy the NetHASP License Manager for Win32 to the SYSTEM32 directory in the Windows NT root directory.

(4)	Restart the system; the HASP NT Loader automatically loads the License Manager.

If the HASP NT Loader has been installed properly, you can see its entry in the Windows NT SCManager (Service Control Manager).

Note:  Since the NetHASP License Manager loads automatically before the user logs on, the HASP NT Loader and the NetHASP License Manager messages do not appear on the screen. To see any related messages, you have to log on.  For example, if you try to load the NetHASP License Manager without a HASP key connected, you do not see the "HASP not found" error message until you log on.

To remove the HASP NT Loader

(1)	Log on as a user with administrator privileges.

(2)	Run hinstall -rs.

(3)	Restart the system.

See Also:	Viewing the Entry in the SCManager
	HINSTALL Command Line Switches


Manually Removing the HASP Device Driver in Win32s

To: Troubleshooting

You can manually remove the HASP Device Driver in Win32s by editing the SYSTEM.INI file.

(1)	Open the SYSTEM.INI file.

(2)	Locate the [386Enh] section.

(3)	Remove the line: device=\...\hasp.386.


Manually Removing the HASP Device Driver in Windows 95

To: Troubleshooting

(1)	Run REGEDIT - the registry editor program.

(2)	Click on the HKEY_LOCAL_MACHINE directory.

(3)	Click on the System directory.

(4)	Click on the CurrentControlSet directory.

(5)	Click on the Services directory.

(6)	Click on the VxD directory.

(7)	Search for the item “HASP95” and click on it.

(8)	Press Del to delete the item.

(9)	Repeat steps 1 to 4.

(10)	Click on the Control directory.

(11)	Click on the VMM32Files directory.

(12)	Search for the item “hasp95.vxd” and click on it.

(13)	Press Del to delete the item.


Manually Removing the HASP Device Driver in Windows NT

To: Troubleshooting

The HASP Device Driver can be removed using hinstall/r.  If this procedure fails, you can remove the HASP Device Driver manually.

To Remove the HASP Device Driver Manually

For Windows NT 3.5x

(1)	From the Program Manager click on File.

(2)	In the drop-down menu click on Run.

(3)	In the Command Line enter: REGEDT32
Four frames open up.

(4)	Follow steps (3) through (14) as for Windows NT 4.0, listed below.

For Windows NT 4.0

(1)	Choose Run from the Start menu.

(2)	Enter REGEDT32.
Four frames open up.

(3)	Switch to the frame labeled HKEY_LOCAL_MACHINE

(4)	Click on the System directory.

(5)	Click on the CurrentControlSet directory.

(6)	Click on the Services directory. A list appears containing all of the installed device drivers (alphabetically).

(7)	Search for the item “Haspnt” and click on it.

(8)	Press Del to delete the item.

(9)	Repeat steps 1 to 6.

(10)	 Click on the Control directory.

(11)	Click on the Session Manager directory.

(12)	Click on the DOS Devices directory. A list appears containing all of the installed device drivers (alphabetically).

(13)	Click on the “HASP” item and press Del to delete.

(14)	Edit the file CONFIG.NT in %system%\system32 directory and remove the line device=\…\haspdos.sys.


Manually Removing the HASP NT Loader

To: Troubleshooting

The HASP NT Loader can be removed using hinstall/rs.  If this procedure fails, you can remove the HASP NT Loader manually.

To Remove the HASP NT Loader Manually

For Windows NT 3.5x

(1)	From the Program Manager click on File.

(2)	In the drop-down menu click on Run.

(3)	In the Command Line enter: REGEDT32
Four frames open up.

(4)	Follow steps (3) through (8) as for Windows NT 4.0, listed below.

For Windows NT 4.0

(1)	Choose Run from the Start menu.

(2)	Enter REGEDT32.
Four frames open up.

(3)	Switch to the frame labeled HKEY_LOCAL_MACHINE

(4)	Click on the System directory.

(5)	Click on the CurrentControlSet directory.

(6)	Click on the Services directory.
A list appears containing all of the installed device drivers (alphabetically).

(7)	Search for the item “HASP Loader” and click on it.

(8)	Press Del to delete the item.


Printer Errors under Windows

To: Troubleshooting

Problem

You get printer errors when trying to print from a protected Windows application.

This is due to a conflict between printer access and HASP access.

Solution

To avoid conflicts between HASP and other parallel devices (such as printers), install the HASP Device Driver.


Recovering From HASP Device Driver Crashes in Win32s

To: If the HASP Device Driver Crashes While Loading

You can manually remove the HASP Device Driver in Win32s by editing the SYSTEM.INI file.

(1)	Open a DOS Box.

(2)	Open the SYSTEM.INI file.

(3)	Locate the [386Enh] section.

(4)	Remove the line: device=\...\hasp.386.


Recovering From HASP Device Driver Crashes in Windows 95

To: If the HASP Device Driver Crashes While Loading

(1)	Boot the computer to DOS.

(2)	Manually delete the driver \%system%\system\hasp95.sys from the disk.

(3)	Restart the system.

(4)	Follow the steps Manually Removing the HASP Device Driver in Windows 95 .


Recovering From HASP Device Driver Crashes in Windows NT

To: If the HASP Device Driver Crashes While Loading

(1)	Boot the computer to DOS.

(2)	Manually delete the driver \%system%\system32\drivers\haspnt.sys from the disk.

(3)	Boot to Windows NT system.

(4)	Follow the steps for Manually Removing the HASP Device Driver in Windows NT .

If it is not possible to boot to DOS do the following

(1)	Boot to NT.

(2)	Press the spacebar while booting the NT system.
A menu appears.

(3)	Select Use Last Known Good Configuration, or press L and then enter to continue restart.

(4)	Follow the steps in the section Manually Removing the HASP Device Driver in Windows NT .


Registry Settings Under Windows NT
Registry Settings for the HASP Device Driver under Windows NT

When you install the HASP Device Driver under Windows NT, you add the Haspnt key to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services.

The Haspnt key has the following keys and values:

Key	Sample Value	Description
Date	November 5, 1997	The date the HASP Device Driver was installed.
DisplayName	Haspnt	File name of the HASP Device Driver.
ErrorControl	0x1	System-defined parameter.
Group		System-defined parameter.
ImagePath	<Path>\haspnt.sys	Location of the kernal driver file.
Start	0x2	Loading stage during system startup.
Tag		System-defined parameter.
Type		System-defined parameter.
Version	3.05	The version of the HASP Device Driver
An Enum key is also added to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Haspnt.  The Enum key contains three system defined parameters, 0, Count, and NextInstance.

A Parameters key is also added to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Haspnt.
The following values are assigned to the Parameters key:

Key	Sample Value	Description
AutoDetect	Yes	Automatic detection of LPT ports.  For additional information, see -autodetect.
COM1	0x3F8	The I/O address of the COM1 serial port.
COM2	0	The I/O address of the COM2 serial port.
COM3	0	The I/O address of the COM3 serial port.
COM4	0	The I/O address of the COM4 serial port.
ComputerType	IBM	The type of computer.  For additional information, see -computertype
LPT1	0x378	The LPT1 address.
LPT2	0	The LPT2 address.
LPT3	0	The LPT3 address.
PortmodeType	AUTO	The parallel port mode.  For additional information, see -portmode.
ProcessorType	X86	The type of processor used by your computer.
A Security key is also added to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Haspnt.  The Security key is a system defined parameter.


Registry Settings for the HASP Device Driver under Windows 95

When you install the HASP Device Driver under Windows 95, a HASP95 key is added to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\VxD.

The HASP95 key has the following keys and values:

Key	Sample Value	Description
Date	November 5, 1997	The date the HASP Device Driver was installed.
Start	00	Loading stage during system startup.
Static VxD	hasp95.vxd	System-defined parameter.
Version	3.05	The version of the HASP Device Driver.
A Parameters key is also added to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\VxD\Hasp95.

The following values are assigned to the Parameters key:

Key	Sample Value	Description
AutoDetect	Yes	Automatic detection of LPT ports.  For additional information, see -autodetect.
COM1	0x3F8	The I/O address of the COM1 serial port.
COM2	0	The I/O address of the COM2 serial port.
COM3	0	The I/O address of the COM3 serial port.
COM4	0	The I/O address of the COM4 serial port.
ComputerType	IBM	The type of computer.  For additional information, see -computertype
LPT1	0	The LPT1 address.
LPT2	0	The LPT2 address.
LPT3	0	The LPT3 address.
PortMode	AUTO	The parallel port mode.  For additional information, see -portmode.
ProcessorType	X86	The type of processor used by your computer.


Registry Settings for the HASP Loader under Windows NT

When you install the HASP Loader under Windows NT, a HASP Loader key is added to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services.

The HASP Loader key has the following keys and values:

Key	Default Value	Description
DisplayName	HASP Loader	File name of the HASP Loader.
ErrorControl	0x1	System-defined parameter.
ImagePath	<Path>\hsrvldr.exe	Loader file path.
ObjectName	LocalSystem	System-defined parameter.
ServerPath	<Path>\nhsrvw32.exe	NetHASP License Manager path.
ServerSwitch		NetHASP License Manager command line switches.
Start	0x2	Loading stage during system startup.
Type	0x110	System-defined parameter.
An Enum and a Security key are also added to your registry under the path HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\HASP Loader.  They contain system defined parameters.


Removing the HASP Device Driver

To: Contents

The HASP Device Driver Installation Utility – HINSTALL

To remove the HASP Device Driver

(1)	Run hinstall.exe, or enter hinstall -r from the command line.

(2)	Click Remove (GUI only).

(3)	To make these changes take effect you must restart the system.  Applicable to Win95 and Win32s systems.

See Also:	The Hinstall Utility Tabs
	Installing the HASP Device Driver
	Upgrading the HASP Device Driver
	HINSTALL Command Line Switches


The HASP Device Driver Installation Utility -- HINSTALL
The HASP Device Driver Installation Utility - HINSTALL

To: Contents

HINSTALL.EXE is a Win32 application that installs the HASP Device Driver.

There are two versions of hinstall.exe: one GUI and command line based that supports Windows 95 and Windows NT, and the other command line based that supports Windows 95, Windows NT, and Win32s.  For the location of the hinstall.exe, please see refer to Install Directory.

HINSTALL automatically recognizes the type of operating system and installs the correct driver files at the required location.

HINSTALL also automatically recognizes the computer type - IBM or NEC. This allows a protected application to migrate between IBM and NEC platforms without any platform adaptation.

Note: To use HINSTALL.EXE With Windows NT, you need administrator privileges.

See Also:	Installing the HASP Device Driver
	Removing the HASP Device Driver
	Upgrading the HASP Device Driver
	Loading the NetHASP License Manager Automatically
	HINSTALL Command Line Switches


The Hinstall Utility Tabs

Windows NT

The following information appears on the HASP Device Driver tab:

Version	The version of the installed HASP Device Driver.
Driver Path	The path of the HASP Kernal Device Driver.
Installation Date	The date of installation.
Computer Name	The processor type of your computer.
Computer Type	The type of computer (IBM compatible or NEC).
Port Mode	The method of detecting the parallel port mode.
LPT1	The parallel port address.
LPT2	The parallel port address.
LPT3	The parallel port address.
Installation Status	Installation status of the NetHASP License Manager Loader.
The following information appears on the License Manager Loader tab:

Server Path	The path of the NetHASP License Manager.
Server Switches	The switches used with the NetHASP License Manager.
Windows 95

The following information appears on the HASP Device Driver tab:

Version	The version of the installed HASP Device Driver.
Driver Path	The path of the HASP Device Driver.
Installation Date	The date of installation.
Computer Name	The processor type of your computer.
Computer Type	The type of computer (IBM compatible or NEC).
Port Mode	The method of detecting the parallel port mode.


Topic

Good, now you can return to the HASP Installation Help Conventions or jump to the Contents.


Troubleshooting

To: Contents

Error 9121 under Windows NT

LastStatus Error 1 under Win32s

Printer Errors under Windows

Manually Removing the HASP Device Driver in Windows NT

Manually Removing the HASP Device Driver in Windows 95

Manually Removing the HASP Device Driver in Win32s

Manually Removing the HASP NT Loader

If the HASP Device Driver Crashes While Loading

Utilizing Installation Parameters


Upgrading the HASP Device Driver

To: Contents

The HASP Device Driver Installation Utility – HINSTALL

To upgrade your existing HASP Device Driver to a newer version:

If you have the HASP Device Driver V2.0 and up

(1)	Install the new HASP Device Driver.

(2)	To make these changes take effect, you must restart the system.  Applicable to Win95 and Win32s systems.

If you have the HASP Device Driver version prior to V2.0

(1)	Use your current version of HINSTALL to remove the HASP Device Driver.

(2)	Restart your system.

(3)	Install the new HASP Device Driver using the new version of HINSTALL.

(4)	To make these changes take effect, you must restart the system.  Applicable to Win95 and Win32s systems.

See Also:	Installing the HASP Device Driver
	Removing the HASP Device Driver
	HINSTALL Command Line Switches


Utilizing Installation Parameters

To: Troubleshooting

You can view and/or edit the HASP Device Driver and the HASP NT Loader in several different ways.

Win32s

Configuration File Settings for Win32s

Windows 95

Viewing the HASP Device Driver Parameters in the Windows 95 Registry Editor

Windows NT

Viewing the HASP Device Driver Parameters in the Windows NT Registry Editor

Viewing the HASP NT Loader Parameters in the Registry Editor

Disabling the HASP NT Loader


Viewing the Entry in the SCManager

To: Contents

If the HASP NT Loader has been installed properly, you can see its entry in the Windows NT SCManager (Service Control Manager).

To see the entry in the SCManager

(1)	Choose Main from the Program Manager.

(2)	Choose Control Panel, then Services; the HASP NT Loader entry appears in the Services list.

(3)	Check that the Status field is empty, and that the Startup field has the value Automatic.

See Also:	Loading the NetHASP License Manager Automatically


Virtual Device Driver
Native Windows 16-bit applications access the Virtual Device Driver which accesses the Kernel Device Driver.


What is a HASP Device Driver?

To: Contents

The HASP Device Driver interfaces between HASP-protected applications and the HASP. In other words, protected applications communicate with the HASP through the HASP Device Driver.

See Also:	When Do I Need a HASP Device Driver?


When Do I Need a HASP Device Driver?

To: Contents

The following table shows the applications that use the HASP Device Driver under various operating systems.

Operating System

Application Type	Windows (16-Bit)	Win32s	Windows 95	Windows NT
DOS	Optional	Optional	Required	Required
Windows (16-bit)	Optional	Optional	Required	Required
Win32	Not Applicable	Required	Required	Required
If the HASP Device Driver is required and it is not installed, the protected application will not find the HASP.

If the HASP Device Driver is optional and it is not installed, the protected application communicates directly with the HASP. To enhance performance and to avoid conflict between other parallel devices (such as printers) and HASP access, we recommend installing the HASP Device Driver.

Note: Install the HASP Device Driver only on computers where a HASP is connected to the local parallel port.

See Also:	HASP Device Driver for Windows
	HASP Device Driver for Win32s
	HASP Device Driver for Windows 95
	HASP Device Driver for Windows NT


Windows 95 Device Driver Parameters
Viewing the HASP Device Driver Parameters in the Windows 95 Registry Editor

To: Utilizing Installation Parameters

You can use the Registry Editor under Windows 95 to view and edit the HASP Device Driver parameters.

(1)	Run REGEDIT (The Registry Editor program)

(2)	Click on HKEY_LOCAL_MACHINE directory

(3)	Click on the System directory

(4)	Click on the CurrentControlSet directory

(5)	Click on the Services directory

(6)	Click on the VxD directory

(7)	Search for the item HASP95, when found click on HASP95
On the right side of the frame, information is displayed about the HASP Device Driver for Windows 95.

(8)	You can see additional information under the Parameters key.

Note: You can edit each parameter by either double-clicking the parameter
or first selecting the parameter and then pressing <Enter>.

See Also:

Registry Settings for the HASP Device Driver under Windows 95


Windows NT Device Drivers and Loader Parameters

To: Utilizing Installation Parameters

You can view and/or edit the HASP Device Driver and the HASP NT Loader parameters in several different ways.

Viewing the HASP Device Driver Parameters in the Windows NT Registry Editor

Viewing the HASP Loader Parameters in the Windows NT Registry Editor

Disabling the HASP NT Loader